using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WebMetar_NS
{
    /// Author: Dennis Lang - 2009
    /// http://home.comcast.net/~lang.dennis/
    /// 
    /// Used to prompt for file name.
    /// Place box directly over tabular list field and monitor change event.
    /// 
    public partial class FileBox : Form
    {
        public FileBox()
        {
            InitializeComponent();
        }

        private void FileBox_Load(object sender, EventArgs e)
        {
        }

        public string FileText
        {
            get { return this.textBox.Text; }
            set { this.textBox.Text = value; }
        }

        public System.Windows.Forms.OpenFileDialog FileDialog
        {
            set { this.fileDialog = value; }
        }

        private void textBox_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Return)
            {
                this.DialogResult = DialogResult.OK;
                this.Close();
            }
            else if (e.KeyCode == Keys.Escape)
            {
                this.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }

        private void textBox_PreviewKeyDown(object sender, PreviewKeyDownEventArgs e)
        {
            // Allow TAB to complete auto-complete suggestions.
            if (e.KeyCode == Keys.Tab)
                e.IsInputKey = true;
        }

        private void loadBtn_Click(object sender, EventArgs e)
        {
            try
            {
                string dir = this.fileDialog.InitialDirectory + Path.DirectorySeparatorChar;
                try
                {
                    dir += Path.GetDirectoryName(this.textBox.Text);
                }
                catch { }

                this.fileDialog.InitialDirectory = dir;
                this.fileDialog.FileName = Path.GetFileName(this.textBox.Text);

                if (this.fileDialog.ShowDialog() == DialogResult.OK)
                {
                    this.textBox.Text = this.fileDialog.FileName;
                    if (this.textBox.Text.StartsWith(this.fileDialog.InitialDirectory, StringComparison.OrdinalIgnoreCase))
                        this.textBox.Text = this.textBox.Text.Substring(
                                this.fileDialog.InitialDirectory.Length);
                    this.DialogResult = DialogResult.OK;
                    this.Close();
                }
                else
                {
                    this.DialogResult = DialogResult.Cancel;
                    this.Close();
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

    }
}