﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Reflection;
using System.Runtime.InteropServices;

namespace WebMetar_NS
{
    public partial class HelpDialog : Form
    {
        public HelpDialog()
        {
            InitializeComponent();

            Assembly a = Assembly.GetExecutingAssembly();
            Stream htmlStream = a.GetManifestResourceStream("WebMetar_NS.webmetarHelp.html");
            this.helpBrowser.DocumentStream = htmlStream;
        }

        private void closeBtn_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void overviewBtn_Click(object sender, EventArgs e)
        {
            this.overviewPanel.Visible = true;
            this.helpBrowser.Visible = false;
        }

        private void keyboardBtn_Click(object sender, EventArgs e)
        {
            this.helpBrowser.Visible = true;
            this.overviewPanel.Visible = false;
        }

        private void printBtn_Click(object sender, EventArgs e)
        {
            if (helpBrowser.Visible)
            {
                helpBrowser.Print();
            }
            else
            {
                PrintIt printIt = new PrintIt();
                Rectangle screenRect = new Rectangle(overviewPanel.Location, overviewPanel.Size);
                printIt.Print(this, screenRect, "WebMetar Help");
            }
        }
    }
}
