﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WebMetar_NS
{
    /// <summary>
    /// Extended Label class to draw drop shadow (3d like text).
    /// 
    /// Author: Dennis Lang - 2010
    /// http://home.comcast.net/~lang.dennis/
    /// </summary>
    public partial class LabelExt : Label
    {
        public LabelExt()
        {
            InitializeComponent();

            shadow.BackColor = this.BackColor;
            shadow.Parent = this;
            SetShadow();
            Controls.Add(shadow);

            this.BackColor = Color.Transparent;
            shadow.BackColor = Color.Transparent;
        }

        private void SetShadow()
        {
            shadow.Text = this.Text;
            shadow.ForeColor = shadowColor;
            shadow.Location = shadowOffset;
            shadow.AutoSize = this.AutoSize;
            shadow.Font = this.Font;
            shadow.Size = this.Size;
            shadow.TextAlign = this.TextAlign;
        }

        protected override void OnResize(EventArgs e)
        {
            base.OnResize(e);
            SetShadow();
        }

        Label shadow = new Label();
        Color shadowColor = Color.Gray;
        Point shadowOffset = new Point(1,1);

        [CategoryAttribute("Shadow"),
        DescriptionAttribute("Color")]
        public Color ShadowColor
        {
            get { return shadowColor; }
            set { shadowColor = value; }
        }

        [CategoryAttribute("Shadow"),
        DescriptionAttribute("Offset")]
        public Point ShadowOffset
        {
            get { return shadowOffset; }
            set { shadowOffset = value; }
        }

        protected override void OnVisibleChanged(EventArgs e)
        {
            base.OnVisibleChanged(e);
            SetShadow();
        }

       
    }
}
